public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: add workaround for CONFIG_SCSI_ISCSI_ATTRS=n
@ 2026-09-11 13:21 Ondrej Mosnacek
0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:21 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 87346d0760497fa33958272e80fa3d47620e2875
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2024-02-26T20:02:10+01:00
Stats : +7/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/87346d0760497fa33958272e80fa3d47620e2875?branch=pr775-checkpolicy-revdeps
Log:
kernel/selinux-testsuite: add workaround for CONFIG_SCSI_ISCSI_ATTRS=n
This is needed for the testsuite to be runnable on RH automotive
kernels.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index cb9ec66..4d76a33 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -436,6 +436,13 @@ EOF
#if kver_ge 5.14.0-326; then
# force_tests+=" inet_socket/mptcp"
#fi
+
+ if ! grep -q 'CONFIG_SCSI_ISCSI_ATTRS=y' "/lib/modules/$(uname -r)/config"; then
+ rlRun "sed -i -e 's/runcon -t test_netlink_iscsi_socket_t/true/' \
+ -e 's/runcon -t test_no_netlink_iscsi_socket_t/false/' \
+ tests/netlink_socket/test" 0 \
+ "Apply workaround for disabled CONFIG_SCSI_ISCSI_ATTRS"
+ fi
fi
# CKI mainline kernels don't ship with module build infrastructure
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:21 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:21 [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: add workaround for CONFIG_SCSI_ISCSI_ATTRS=n Ondrej Mosnacek
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox